CodeForces - 404B Marathon(精度)】的更多相关文章

题意:一个人绕着一个长度为a的正方形逆时针跑,以(0,0)为起点,喝一次水可以跑d米,问每喝一次水可以跑到的位置坐标. 分析:这道题卡精度卡的太厉害了. 设l是正方形的周长,只有d对l取余且每次跑d米都对l取余,并用取余后的结果继续跑,这样的精度才够. 1.double a = fmod(x, y);返回的是浮点数x对浮点数y取余后的结果. 2.每跑d米,通过对l取余得到当前位置与起点的路径长,从而确定当前位置的坐标. #include<cstdio> #include<cstring&…
Marathon Time Limit: 1000MS   Memory Limit: 262144KB   64bit IO Format: %I64d & %I64u Submit Status Description Valera takes part in the Berland Marathon. The marathon race starts at the stadium that can be represented on the plane as a square whose…
题目链接:http://codeforces.com/problemset/problem/404/B 题目意思:Valera 参加马拉松,马拉松的跑道是一个边长为a的正方形,要求Valera从起点(0,0)出发,每经过距离d就给他一杯drink.求出n个位置,即Valera每经过d距离的position. 一开始我是直接模拟的,每次算出一个position就记录离该边最末还剩多少距离,假设为k,然后更新初始已有的距离k,又开始加a的距离直到到达下一个点...代码复杂之余,还超时了. 比较好的作…
B. Marathon time limit per test 1 second memory limit per test 256 megabytes input standard input output standard output Valera takes part in the Berland Marathon. The marathon race starts at the stadium that can be represented on the plane as a squa…
毫无疑问这题不是难题,但是这种题目最让人纠结 打心里对这种题目就比较害怕,果然,各种WE 这里贴上代码,用Python写的,比较偷懒: def cur_pos(a, d): if 0 <= d <= a: return d, 0.0 elif a < d <= a + a: return a, d - a elif a + a < d <= a * 3: return 3 * a - d, a else: return 0.0, 4 * a - d a, d = map…
题目链接:http://codeforces.com/contest/404/problem/B?csrf_token=6292hf3e1h4g5e0d16a996ge6bgcg7g2 解题报告:一个正方形的跑道,边长是a,然后教练给运动员一个规定,每跑d米就额外补充一次饮料,然后输入一个n,表示一共将补充n次,比赛的出发点是(0,0), 也就是左下角的那个点,然后让你求出每次补充饮料的坐标. 本来看起来应该挺简单的一个模拟题,结果没想到一波三折,哎,技术问题啊.首先要注意的就是它规定的是精确到…
 2017 JUST Programming Contest 2.0 题目链接:http://codeforces.com/gym/101343/problem/A A. On The Way to Lucky Plaza time limit per test:1.0 s memory limit per test:256 MB input:standard input output:standard output Alaa is on her last day in Singapore, s…
题目链接:http://codeforces.com/problemset/problem/93/B B. End of Exams time limit per test 1 second memory limit per test 256 megabytes input standard input output standard output Students love to celebrate their holidays. Especially if the holiday is th…
题目:http://codeforces.com/contest/404/problem/B #include <iostream> #include <cstring> #include <cstdio> #include <cstdlib> #include <algorithm> using namespace std; int main() { __int64 g; //g一定要是长整形,因为数据会超int.这个也是错误的最主要原因 in…
题意:火箭经过1到n号星球,并回到1号星球,现在给出每消耗一砘燃油能带起的火箭质量a[i]和b[i],a[i]代表在第i个星球起飞,b[i]代表在第i个星球降落.求出最少消耗的汽油.保证:如果不能完成旅行,那么输出-1,如果有解,那么解一定小于1e9 分析:将答案从0到1e9二分,但是如何判断有没有解呢?我的做法是把1e9带入check函数,但是由于true和false的界线在正确解的附近,所以当1e9是正确解的时候,check函数返回的可能是false.解决方法是,将答案在0到2e9之间二分,…